Bug 655092 - [abrt] gwibber-1:2.33.0-12.894bzr.fc13: couchmigrate.py:61:__init__:KeyError: 'secret_token'
Summary: [abrt] gwibber-1:2.33.0-12.894bzr.fc13: couchmigrate.py:61:__init__:KeyError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 13
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:173b1c1e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 15:30 UTC by Dave P
Modified: 2011-05-07 13:25 UTC (History)
1 user (show)

Fixed In Version: gwibber-3.0.0.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-30 05:39:04 UTC


Attachments (Terms of Use)
File: backtrace (1.66 KB, text/plain)
2010-11-19 15:30 UTC, Dave P
no flags Details

Description Dave P 2010-11-19 15:30:57 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber-service
comment: repeat above
component: gwibber
executable: /usr/bin/gwibber-service
kernel: 2.6.34.7-61.fc13.x86_64
package: gwibber-1:2.33.0-12.894bzr.fc13
reason: couchmigrate.py:61:__init__:KeyError: 'secret_token'
release: Fedora release 13 (Goddard)
time: 1290180585
uid: 500

backtrace
-----
couchmigrate.py:61:__init__:KeyError: 'secret_token'

Traceback (most recent call last):
  File "/usr/bin/gwibber-service", line 80, in <module>
    dispatcher = dispatcher.Dispatcher(loop)
  File "/usr/lib/python2.6/site-packages/gwibber/microblog/dispatcher.py", line 256, in __init__
    self.accounts = storage.AccountManager(self.db)
  File "/usr/lib/python2.6/site-packages/gwibber/microblog/storage.py", line 205, in __init__
    from util import couchmigrate
  File "/usr/lib/python2.6/site-packages/gwibber/microblog/util/couchmigrate.py", line 79, in <module>
    AccountCouchMigrate()
  File "/usr/lib/python2.6/site-packages/gwibber/microblog/util/couchmigrate.py", line 61, in __init__
    new_account[key] = record["value"][key]
KeyError: 'secret_token'

Local variables in innermost frame:
records: <ViewResults <PermanentView '_design/get_records_and_type/_view/get_records_and_type'> {}>
migrate: {'twitter-dave.pawson@gmail.com': True, 'identica-dpawson': True}
self: <gwibber.microblog.util.couchmigrate.AccountCouchMigrate instance at 0x1eb3e60>
param: 'private:secret_token'
record: <Row id='twitter-davepawsongmailcom', key='http://gwibber.com/couch/account', value={'username': 'dave.pawson@gmail.com', '_id': 'twitter-davepawsongmailcom', 'protocol': 'twitter', 'color': '#729FCF', '_rev': '1-8bb66e1ec99def661783b44292f3dbad', 'receive_enabled': True, 'record_type': 'http://gwibber.com/couch/account', 'send_enabled': True, 'password': ':KEYRING:5'}>
accounts: <desktopcouch.records.server.CouchDatabase object at 0x1ec2690>
key: 'secret_token'
sqlite_accounts: []
new_account: {'id': 'twitter-davepawsongmailcom', 'service': 'twitter'}
id: 'twitter-dave.pawson@gmail.com'

How to reproduce
-----
1. Fresh install of gwibber
2. After install selected run
3. Crashed

Comment 1 Dave P 2010-11-19 15:30:59 UTC
Created attachment 461575 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-25 21:17:37 UTC
gwibber-2.91.92-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc13

Comment 3 Fedora Update System 2011-03-25 21:18:12 UTC
gwibber-2.91.92-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc14

Comment 4 Fedora Update System 2011-03-25 21:18:47 UTC
gwibber-2.91.92-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc15

Comment 5 Fedora Update System 2011-03-26 04:50:15 UTC
Package gwibber-2.91.92-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gwibber-2.91.92-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-03-30 05:38:32 UTC
gwibber-2.91.92-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-04-26 21:34:04 UTC
gwibber-3.0.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc14

Comment 8 Fedora Update System 2011-04-26 21:34:43 UTC
gwibber-3.0.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc15

Comment 9 Fedora Update System 2011-04-26 21:35:23 UTC
gwibber-3.0.0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc13

Comment 10 Fedora Update System 2011-05-01 03:25:14 UTC
gwibber-3.0.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-07 02:54:29 UTC
gwibber-3.0.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-07 13:24:47 UTC
gwibber-3.0.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.